PGPAINLESS-CLI(1)

NAME
pgpainless-cli - Stateless OpenPGP Protocol

SYNOPSIS

pgpainless-cli [--stacktrace] [COMMAND]

DESCRIPTION

OPTIONS

--stacktrace
    Print stacktrace

COMMANDS

version
    Display version information about the tool

list-profiles
    Emit a list of profiles supported by the identified subcommand

generate-key
    Generate a secret key

change-key-password
    Update the password of a key

revoke-key
    Generate revocation certificates

extract-cert
    Extract a public key certificate from a secret key

sign
    Create a detached message signature

verify
    Verify a detached signature

encrypt
    Encrypt a message from standard input

decrypt
    Decrypt a message

inline-detach
    Split signatures from a clearsigned message

inline-sign
    Create an inline-signed message

inline-verify
    Verify an inline-signed message

armor
    Add ASCII Armor to standard input

dearmor
    Remove ASCII Armor from standard input

help
    Stateless OpenPGP Protocol

generate-completion
    Stateless OpenPGP Protocol

EXIT CODES:

0
    Successful program execution

1
    Generic program error

3
    Verification requested but no verifiable signature found

13
    Unsupported asymmetric algorithm

17
    Certificate is not encryption capable

19
    Usage error: Missing argument

23
    Incomplete verification instructions

29
    Unable to decrypt

31
    Password is not human-readable

37
    Unsupported Option

41
    Invalid data or data of wrong type encountered

53
    Non-text input received where text was expected

59
    Output file already exists

61
    Input file does not exist

67
    Cannot unlock password protected secret key

69
    Unsupported subcommand

71
    Unsupported special prefix (e.g. "@ENV/@FD") of indirect parameter

73
    Ambiguous input (a filename matching the designator already exists)

79
    Key is not signing capable

83
    Options were supplied that are incompatible with each other

89
    The requested profile is unsupported, or the indicated subcommand does not accept profiles